package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrProtection;

/**
 * 人身防护Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrProtectionService 
{
    /**
     * 查询人身防护
     * 
     * @param id 人身防护ID
     * @return 人身防护
     */
    public TPssrProtection selectTPssrProtectionById(Long id);
    public int selectNoConfirmCount(Long subId);
    public TPssrProtection selectAllConfirmedPersonBySubId(TPssrProtection tPssrProtection);

    /**
     * 查询人身防护列表
     * 
     * @param tPssrProtection 人身防护
     * @return 人身防护集合
     */
    public List<TPssrProtection> selectTPssrProtectionList(TPssrProtection tPssrProtection);

    /**
     * 新增人身防护
     * 
     * @param tPssrProtection 人身防护
     * @return 结果
     */
    public int insertTPssrProtection(TPssrProtection tPssrProtection);

    /**
     * 修改人身防护
     * 
     * @param tPssrProtection 人身防护
     * @return 结果
     */
    public int updateTPssrProtection(TPssrProtection tPssrProtection);
    public int updateAllBySubId(TPssrProtection tPssrProtection);

    /**
     * 批量删除人身防护
     * 
     * @param ids 需要删除的人身防护ID
     * @return 结果
     */
    public int deleteTPssrProtectionByIds(Long[] ids);

    /**
     * 删除人身防护信息
     * 
     * @param id 人身防护ID
     * @return 结果
     */
    public int deleteTPssrProtectionById(Long id);
}
